com.sun.pdfview.font.ttf

## Class HmtxTable

- java.lang.Object
- - com.sun.pdfview.font.ttf.TrueTypeTable
  - - com.sun.pdfview.font.ttf.HmtxTable

    public class HmtxTable
    extends TrueTypeTable

Model the TrueType Post table

### Field Summary

### Fields inherited from class com.sun.pdfview.font.ttf.TrueTypeTable

`CMAP_TABLE, GLYF_TABLE, HEAD_TABLE, HHEA_TABLE, HMTX_TABLE, LOCA_TABLE, MAXP_TABLE, NAME_TABLE, POST_TABLE`

### Constructor Summary

Constructors
`protected` `HmtxTable(TrueTypeFont ttf)` Creates a new instance of HmtxTable

### Method Summary

Methods
`short` `getAdvance(int glyphID)` get the advance of a given glyph
`java.nio.ByteBuffer` `getData()` get the data in this map as a ByteBuffer
`short` `getLeftSideBearing(int glyphID)` get the left side bearing of a given glyph
`int` `getLength()` Get the length of this table
`void` `setData(java.nio.ByteBuffer data)` Initialize this structure from a ByteBuffer

### Methods inherited from class com.sun.pdfview.font.ttf.TrueTypeTable

`createTable, createTable, getTag, stringToTag, tagToString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HmtxTable

    protected HmtxTable(TrueTypeFont ttf)

Creates a new instance of HmtxTable

### Method Detail

#### getAdvance

    public short getAdvance(int glyphID)

get the advance of a given glyph

#### getLeftSideBearing

    public short getLeftSideBearing(int glyphID)

get the left side bearing of a given glyph

#### getData

    public java.nio.ByteBuffer getData()

get the data in this map as a ByteBuffer

Overrides:
  `getData` in class `TrueTypeTable`

#### setData

    public void setData(java.nio.ByteBuffer data)

Initialize this structure from a ByteBuffer

Overrides:
  `setData` in class `TrueTypeTable`

#### getLength

    public int getLength()

Get the length of this table

Overrides:
  `getLength` in class `TrueTypeTable`